#2443 closed enhancement (fixed)

Remove AVR Architectural Port

Reported by: Joel Sherrill Owned by: Joel Sherrill <joel@…>
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: normal Keywords: obsolete, target
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

Remove the AVR port per the instructions at https://devel.rtems.org/wiki/Developer/Removing_a_Port.

All BSPa must be removed before the architectural port can be removed. These are tracked by the following tickets:

Rationale: The AVR port is incomplete and the largest AVR CPU models are just barely large enough to run RTEMS. This by itself is not enough to drop the port. However, the state of GCC for this target is poor. It is marginally maintained. Atmel maintains their own patch set independent of GCC. Plus they use their own small (and unique) C Library. This makes avr-rtems the only user of AVR+newlib. The target size is a challenge but that was why the port was initially interesting. It provided a real goal. But the tool state is painful for a port which is incomplete and has neither users nor anyone interested in actively maintaining it for GCC or RTEMS.

Change History (6)

comment:1 Changed on Nov 3, 2015 at 2:38:42 PM by Joel Sherrill

Description: modified (diff)

comment:2 Changed on Nov 3, 2015 at 7:27:20 PM by Joel Sherrill

Keywords: obsolete target added

comment:3 Changed on Jan 20, 2016 at 1:40:58 AM by Joel Sherrill <joel@…>

Owner: set to Joel Sherrill <joel@…>
Resolution: fixed
Status: newclosed

comment:4 Changed on Jan 20, 2016 at 7:31:40 AM by Sebastian Huber <sebastian.huber@…>

In 1d308a13210edd54133235e0bc015080f9191bd5/rtems:

bsps: Resurrect ARM port

Remove AVR port instead. Bug introduced by
15068f4c9afd2d5ca6a77d510059d6306c9a3be6.

Update #2443.

comment:5 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:6 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.